Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Class XPackage

    java.lang.Object
      xjavadoc.XPackage

All Implemented Interfaces:
  Comparable

public final class XPackage
extends Object
implements Comparable

Describe what this class does

Author:
  Aslak Hellesøy

Constructor Summary
`XPackage(String name)` Describe what the XPackage constructor does

Method Summary
`(package private) void` | `addClass(XClass clazz)` Describe the method
`int` | `compareTo(Object o)` Describe what the method does
`Collection` | `getClasses()` Describe what the method does
`String` | `getName()` Describe what the method does
`int` | `hashCode()` Describe what the method does
`boolean` | `isDefaultPackage()` Gets the DefaultPackage attribute of the XPackage object
`String` | `toString()` Describe what the method does

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPackage

    public XPackage(String name)

  Describe what the XPackage constructor does

Parameters:
  `name` - Describe what the parameter does

Method Detail

### isDefaultPackage

    public final boolean isDefaultPackage()

  Gets the DefaultPackage attribute of the XPackage object

  Returns:
    The DefaultPackage value

### getName

    public final String getName()

  Describe what the method does

  Returns:
    Describe the return value

### getClasses

    public Collection getClasses()

  Describe what the method does

  Returns:
    Describe the return value

### toString

    public String toString()

  Describe what the method does

  Returns:
    Describe the return value

### hashCode

    public int hashCode()

  Describe what the method does

  Returns:
    Describe the return value

### compareTo

    public int compareTo(Object o)

  Describe what the method does

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` - Describe what the parameter does
  Returns:
    Describe the return value

### addClass

    void addClass(XClass clazz)

  Describe the method

  Parameters:
    `clazz` - Describe the method parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.